libstdc++: std::atomic< unsigned int > Struct Reference

libstdc++

std::atomic< unsigned int > Struct Reference
Atomics

`#include <atomic>`

## Public Types
typedef __atomic_base< unsigned int > | __base_type
typedef unsigned int | __integral_type
using | value_type

## Public Member Functions
constexpr | atomic (__integral_type __i) noexcept
| atomic (const atomic &)=delete
bool | compare_exchange_strong (unsigned int &__e, unsigned int __i, memory_order __s, memory_order __f) noexcept
bool | compare_exchange_weak (unsigned int &__e, unsigned int __i, memory_order __s, memory_order __f) noexcept
unsigned int | exchange (unsigned int __i, memory_order __m=memory_order_seq_cst) noexcept
bool | is_lock_free () const noexcept
unsigned int | load (memory_order __m=memory_order_seq_cst) const noexcept
| operator unsigned int () const noexcept
| operator unsigned int () const volatile noexcept
atomic & | operator= (const atomic &) volatile =delete
atomic & | operator= (const atomic &)=delete
void | store (unsigned int __i, memory_order __m=memory_order_seq_cst) noexcept

## Detailed Description

Explicit specialization for unsigned int.

Definition at line 887 of file atomic.

## Member Typedef Documentation

## ◆ __base_type

typedef __atomic_base<unsigned int> std::atomic< unsigned int >::__base_type

Definition at line 890 of file atomic.

## ◆ __integral_type

typedef unsigned int std::atomic< unsigned int >::__integral_type

Definition at line 889 of file atomic.

## ◆ value_type

using std::atomic< unsigned int >::value_type

Definition at line 202 of file atomic.

## Constructor & Destructor Documentation

## ◆ atomic()

std::atomic< unsigned int >::atomic | ( | __integral_type | __i | ) |
| inline constexpr noexcept

Definition at line 898 of file atomic.

## Member Function Documentation

## ◆ compare_exchange_strong()

bool std::atomic< unsigned int >::compare_exchange_strong | ( | unsigned int & | __e,
|  | unsigned int | __i,
|  | memory_order | __s,
|  | memory_order | __f )
| inline noexcept

Definition at line 383 of file atomic.

## ◆ compare_exchange_weak()

bool std::atomic< unsigned int >::compare_exchange_weak | ( | unsigned int & | __e,
|  | unsigned int | __i,
|  | memory_order | __s,
|  | memory_order | __f )
| inline noexcept

Definition at line 355 of file atomic.

## ◆ exchange()

unsigned int std::atomic< unsigned int >::exchange | ( | unsigned int | __i,
|  | memory_order | __m = memory_order_seq_cst )
| inline noexcept

Definition at line 332 of file atomic.

## ◆ is_lock_free()

bool std::atomic< unsigned int >::is_lock_free | ( |  | ) | const
| inline noexcept

Definition at line 277 of file atomic.

## ◆ load()

unsigned int std::atomic< unsigned int >::load | ( | memory_order | __m = memory_order_seq_cst | ) | const
| inline noexcept

Definition at line 314 of file atomic.

## ◆ operator unsigned int() [1/2]

std::atomic< unsigned int >::operator unsigned int | ( |  | ) | const
| inline noexcept

Definition at line 262 of file atomic.

## ◆ operator unsigned int() [2/2]

std::atomic< unsigned int >::operator unsigned int | ( |  | ) | const volatile
| inline noexcept

Definition at line 265 of file atomic.

## ◆ store()

void std::atomic< unsigned int >::store | ( | unsigned int | __i,
|  | memory_order | __m = memory_order_seq_cst )
| inline noexcept

Definition at line 298 of file atomic.

The documentation for this struct was generated from the following file:

- atomic